// ProObjFigureBrush.cpp : _xZkqqHx_iDeDiDjDiDhGiDiKiDiBiDjDiDgFiBfLiDfGiDiHiDjD_xHqqkZx_ _xZkqqHx_iDhEiDeAiDeDiDiL_xHqqkZx_
//

#include "stdafx.h"
#include "DynamicDraw.h"
#include "ProObjFigureBrush.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureBrush _xZkqqHx_iDhGiDiNiDhAiDgFiDeC_xHqqkZx_ _xZkqqHx_iDhJiBfLiDfH_xHqqkZx_

IMPLEMENT_DYNCREATE(CFCProObjFigureBrush, CFCProObjProperty)

CFCProObjFigureBrush::CFCProObjFigureBrush () : CFCProObjProperty(CFCProObjFigureBrush::IDD)
{
	//{{AFX_DATA_INIT(CFCProObjFigureBrush)
	//}}AFX_DATA_INIT

	/*----- _xZkqqHx_iDiGiBfLiDfFjFmPjAjEiCmMiPiJiKpKjCgMiCmMjAnNjCoI_xHqqkZx_ -----*/
	m_prppFigure0 = NULL;

	// _xZkqqHx_iDiBiDgCiDfKiBfLiDfHiPiIjHjNjCiGiCmMiDhEiDiJiDePiCpAjAnNjCoIiBeC_xHqqkZx_
	m_bProhibitMsg = TRUE;

//----- 01.02.23 Fukushiro M. _xZkqqHx_iNoNiPjMiOgO_xHqqkZx_ ()-----
//	m_tbIsBrushRegister.Init(FALSE);
//	m_tbyBrushType.Init(static_cast<BYTE>(-1));
//	m_tbridBrushRegister.Init(static_cast<BrushRegisterID>(-1));
//	m_tscidBrushForeSColor.Init(static_cast<SColorID>(-1));
//	m_tptidBrushPattern.Init(static_cast<PatternID>(-1));
//	m_tscidBrushBackSColor.Init(static_cast<SColorID>(-1));
////	m_temidBrushEmfImage.Init(static_cast<EmfImageID>(-1));
////	m_ttxidBrushTexture.Init(static_cast<TextureID>(-1));
//----- 01.02.23 Fukushiro M. _xZkqqHx_iNoNiPjMiPeJ_xHqqkZx_ ()-----
} // CFCProObjFigureBrush::CFCProObjFigureBrush.

CFCProObjFigureBrush::~CFCProObjFigureBrush ()
{
} // CFCProObjFigureBrush::~CFCProObjFigureBrush.

void CFCProObjFigureBrush::DoDataExchange(CDataExchange* pDX)
{
	CFCProObjProperty::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CFCProObjFigureBrush)
	DDX_Control(pDX, IDC_FG1_STB_BRS_SAMPLE, m_stbBrushSample);
	DDX_Control(pDX, IDC_FG1_STL_PEN_SAMPLE, m_stlPenSample);
	DDX_Control(pDX, IDC_FG1_CBB_BRUSH_BACK_S_COLOR, m_cbbBrushBackSColor);
	DDX_Control(pDX, IDC_FG1_CBB_BRUSH_PATTERN, m_cbbBrushPattern);
	DDX_Control(pDX, IDC_FG1_CBB_BRUSH_FORE_S_COLOR, m_cbbBrushForeSColor);
	DDX_Control(pDX, IDC_FG1_CBB_BRUSH_REGISTER, m_cbbBrushRegister);
	//}}AFX_DATA_MAP
} // CFCProObjFigureBrush::DoDataExchange.


BEGIN_MESSAGE_MAP(CFCProObjFigureBrush, BASE_CLASS)
	//{{AFX_MSG_MAP(CFCProObjFigureBrush)
	ON_BN_CLICKED(IDC_FG1_BTN_RECORD, OnFg1BtnRecord)
	ON_BN_CLICKED(IDC_FG1_BTN_REGIST, OnFg1BtnRegist)
	ON_BN_CLICKED(IDC_FG1_BTN_FORECOL, OnFg1BtnForecol)
	ON_COMMAND(ID_DIALOG_INIT_VALUE, OnDialogInitValue)
	ON_WM_CTLCOLOR()
	ON_BN_CLICKED(IDC_FG1_BTN_BACKCOL, OnFg1BtnBackcol)
	//}}AFX_MSG_MAP
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG1_CBB_BRUSH_REGISTER, OnSelchangeFg1CbbBrushRegister)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG1_CBB_BRUSH_FORE_S_COLOR, OnSelchangeFg1CbbBrushForeSColor)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG1_CBB_BRUSH_PATTERN, OnSelchangeFg1CbbBrushPattern)
	ON_CONTROL(CBBN_SELCHANGE, IDC_FG1_CBB_BRUSH_BACK_S_COLOR, OnSelchangeFg1CbbBrushBackSColor)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CFCProObjFigureBrush _xZkqqHx_iDiBiDgCiDfKiBfLiDfH_xHqqkZx_ _xZkqqHx_iDgOiDjDiDgIiDiJ_xHqqkZx_


